<template>
	<view class="p-root-merchantManagement-dynamicNotice g_bg_f_5 g_p_10 g_pb_120" style="min-height: 100vh;padding-top: 10px;">
		<view class="">
			<view class="g_bg_f g_pl_10 g_radius_8">
				<u-input type="textarea" height="240" :customStyle="{ fontSize: '34rpx' }" :clearable="false" autoHeight v-model="notice" 
                 @input="changeNotice"></u-input>
			</view>
			<view class="g_mt_32" hover-class="none" hover-stop-propagation="false" style="margin-top: 120px;">
				<rh-button :primaryColor='primaryColor' type="primary" btnText="完成" @clickBtn="subNameInfo"
					:loading="isSubmit" size='new'
				/>
			</view>
		</view>
	</view>
</template>

<script>
export default {
	data() {
		return {
			primaryColor:getApp().globalData.themeColor,
			notice: "",
			isSubmit:false,
		};
	},
	created() {
		uni.$on('themeChanged', (color) => {
			this.primaryColor = color;
		});
	},
	methods: {
		changeNotice(e) {
			console.log(e);
			let that = this;
			this.notice = e;
		},
		subNameInfo() {
			
		},
	},
};
</script>

<style lang="less">
.p-root-merchantManagement-dynamicNotice{
	.g-components-button .bocai_btn_size_new{
		width: 240px !important;
		height: 40px !important;
		line-height: 38px !important;
	}
}
</style>